﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Analysis;

namespace HeuristicLab.DataPreprocessing
{
  public class LineChartLogic:ILineChartLogic
  {
    private IPreprocessingData preprocessingData;

    public LineChartLogic(IPreprocessingData preprocessingData) {
      this.preprocessingData = preprocessingData;
 
    }

    public void FillDataTable(DataTable dataTable) {
      IEnumerable<string> variableNames = preprocessingData.VariableNames;

      foreach(string variableName in variableNames)
      {
        IList<double> values = preprocessingData.GetValues<double>(variableName);
        DataRow row = new DataRow(variableName, "", values);
        dataTable.Rows.Add(row);
      }
 
    }
  }
}
